package org.apache.commons.lang3.function;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Objects;

public interface FailableLongUnaryOperator<E extends Throwable> {
  public static final org.apache.commons.lang3.function.FailableLongUnaryOperator NOP = t -> 0L;
  
  static <E extends Throwable> org.apache.commons.lang3.function.FailableLongUnaryOperator<E> identity() {
    return t -> t;
  }
  
  static <E extends Throwable> org.apache.commons.lang3.function.FailableLongUnaryOperator<E> nop() {
    return NOP;
  }
  
  default org.apache.commons.lang3.function.FailableLongUnaryOperator<E> andThen(org.apache.commons.lang3.function.FailableLongUnaryOperator<E> after) {
    Objects.requireNonNull(after);
    return t -> after.applyAsLong(applyAsLong(t));
  }
  
  default org.apache.commons.lang3.function.FailableLongUnaryOperator<E> compose(org.apache.commons.lang3.function.FailableLongUnaryOperator<E> before) {
    Objects.requireNonNull(before);
    return v -> applyAsLong(before.applyAsLong(v));
  }
  
  long applyAsLong(long paramLong) throws E;
}
